import 'node_modules/jquery-ui-dist/jquery-ui.min';
import * as moment from 'moment';
import { IDateLocal, IDayMonthYear, IDaysOfMonth, IWeeksOfMonth } from './core-services-date.interface';
/**
 * Date Get data
 */
export declare const customDate: (date: moment.MomentInput, format: string) => string;
export declare const currentDate: (outputFormat?: string) => string;
export declare const dayMonthYear: (date: moment.MomentInput, format?: string) => IDayMonthYear;
export declare const localDate: (year: number, month: number, day: number, local?: IDateLocal) => string;
export declare const dateFromIso: (date: moment.MomentInput, format?: string) => string;
export declare const ganttDate: (date: moment.MomentInput) => Date;
export declare const isoDateCustom: (date: moment.MomentInput, dateFormat: string, outputFormat: string) => string;
export declare const isoDate: (date: moment.MomentInput, format?: string) => string;
export declare const isoDateWithoutTime: (date: moment.MomentInput) => string;
export declare const dateMilliseconds: (date: moment.MomentInput, dateFormat: string, outputFormat: string) => number;
export declare const dateToMillisecondsNoTime: (date: moment.MomentInput) => number;
export declare const millisecondsToDate: (date: moment.MomentInput, outputFormat: string) => string;
export declare const daysToMilliseconds: (days: number) => number;
export declare const durationInDays: (start: number, end: number, countFirstDay: boolean) => number;
export declare const durationInMilliseconds: (start: number, end: number) => number;
export declare const monthName: (month: number, language?: string) => string;
export declare const weeksOfMonth: (year: number, month: number) => IWeeksOfMonth[];
export declare const daysOfMonth: (weeksRange: IWeeksOfMonth[]) => IDaysOfMonth[][];
export declare const weekOfYear: (date: string, format: string) => number;
/**
 * Date comparable
 */
export declare const isDateBefore: (startDate: string, endDate: string, type?: moment.unitOfTime.StartOf) => boolean;
/**
 * Date validation
 */
export declare const validateDate: (date: moment.MomentInput) => boolean;
/**
 * Date picker utilities;
 * Jquery ui
 * This function is using Jquery and Jquery-ui and typescript is not available
 * To this function work is necessary the following imports, respectively:
 * import * as $ from 'jquery'; or import $ = require('jquery');
 * import '../../../../../node_modules/jquery-ui-dist/jquery-ui.min';
 */
export declare const setDatePicker: (datePicker: HTMLInputElement, dateFormat: string) => void;
export declare const monthYearDatePicker: (datePicker: HTMLInputElement, dateFormat: string, setValueCallback: any) => void;
export declare const dateFromDatePicker: (date: moment.MomentInput, format?: string, outputFormat?: string) => string;
export declare const localDateForDatePicker: (date: moment.MomentInput, outputFormat?: string) => string;
export declare const currentDateForDatePicker: (dateFormat?: string, outputFormat?: string) => string;
export declare const dateForDatePicker: (month: number, day: number, year: number) => string;
